#include "tests/HashMapTests.h"
#include "tests/ListTests.h"
#include "tests/BitArrayTests.h"
#include "utils/BitArray.h"

#include <iostream>

void test(int i) {
    for(int k = 0; k < 32; k++) {
        std::cout << static_cast<char> ((i & 1) + '0');
        i >>= 1;
    }
    std::cout << "\n";
}

int main() {
    HashMapTests::test();
    ListTests::test();
    BitArrayTests::test();
    return 0;
}
